MCP Tools Reference: logging.googleapis.com

Tool: list_views

Use this as the primary tool to list the log views in a given log bucket. Log views provide fine-grained access control to the logs in your buckets. This is useful for managing who has access to which logs.

The following sample demonstrate how to use curl to invoke the list_views MCP tool.

Curl Request
                  
curl --location 'https://logging.googleapis.com/mcp' \
--header 'content-type: application/json' \
--header 'accept: application/json, text/event-stream' \
--data '{
  "method": "tools/call",
  "params": {
    "name": "list_views",
    "arguments": {
      // provide these details according to the tool's MCP specification
    }
  },
  "jsonrpc": "2.0",
  "id": 1
}'
                

Input Schema

The parameters to ListViews.

ListViewsRequest

JSON representation
{
  "parent": string,
  "pageToken": string,
  "pageSize": integer
}
Fields
parent

string

Required. The bucket whose views are to be listed:

"projects/[PROJECT_ID]/locations/[LOCATION_ID]/buckets/[BUCKET_ID]"
pageToken

string

Optional. If present, then retrieve the next batch of results from the preceding call to this method. pageToken must be the value of nextPageToken from the previous response. The values of other method parameters should be identical to those in the previous call.

pageSize

integer

Optional. The maximum number of results to return from this request.

Non-positive values are ignored. The presence of nextPageToken in the response indicates that more results might be available.

Output Schema

The response from ListViews.

ListViewsResponse

JSON representation
{
  "views": [
    {
      object (LogView)
    }
  ],
  "nextPageToken": string
}
Fields
views[]

object (LogView)

A list of views.

nextPageToken

string

If there might be more results than appear in this response, then nextPageToken is included. To get the next set of results, call the same method again using the value of nextPageToken as pageToken.

LogView

JSON representation
{
  "name": string,
  "description": string,
  "createTime": string,
  "updateTime": string,
  "filter": string
}
Fields
name

string

Output only. The resource name of the view.

For example:

projects/my-project/locations/global/buckets/my-bucket/views/my-view

description

string

Optional. Describes this view.

createTime

string (Timestamp format)

Output only. The creation timestamp of the view.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

updateTime

string (Timestamp format)

Output only. The last update timestamp of the view.

Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: "2014-10-02T15:01:23Z", "2014-10-02T15:01:23.045123456Z" or "2014-10-02T15:01:23+05:30".

filter

string

Optional. Filter that restricts which log entries in a bucket are visible in this view.

Filters must be logical conjunctions that use the AND operator, and they can use any of the following qualifiers:

  • SOURCE(), which specifies a project, folder, organization, or billing account of origin.
  • resource.type, which specifies the resource type.
  • LOG_ID(), which identifies the log.

They can also use the negations of these qualifiers with the NOT operator.

For example:

SOURCE("projects/myproject") AND resource.type = "gce_instance" AND NOT LOG_ID("stdout")

Timestamp

JSON representation
{
  "seconds": string,
  "nanos": integer
}
Fields
seconds

string (int64 format)

Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z).

nanos

integer

Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive.

Tool Annotations

Destructive Hint: ❌ | Idempotent Hint: ✅ | Read Only Hint: ✅ | Open World Hint: ❌